package com.muyu.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Arrays;


public enum SystemYesNo {
    YES("Y","是"),
    NO("N","否"),
    ;

    private final String code;

    private final String info;

    SystemYesNo (String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode(){
        return code;
    }

    public String getInfo(){
        return info;
    }


    public static boolean isCode(String code){
        return Arrays.stream(values())
                .map(SystemYesNo::getCode)
                .anyMatch(s -> s.equals(code));
    }
}
